#
# spec file for package
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kate
Version:        0.3.7
Release:        1.16
License:        BSD 3-Clause ; Other uncritical OpenSource License
Summary:        Kate is a karaoke and text codec for embedding in ogg
Url:            http://libkate.googlecode.com
Group:          Productivity/Multimedia/Other
Source:         lib%name-%version.tar.bz2
# PATCH-FIX-UPSTREAM kate-png14.patch dimstar@opensuse.org -- Fix build with libpng 1.4, patch from upstream commit 87778e
Patch0:         kate-png14.patch
BuildRequires:  doxygen
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time, this would be multiplexed with audio/video to carry subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to be. A possible use of a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate a powerful means to describe arbitrary curves, so hand drawing of shapes can be achieved. This was originally meant for karaoke use, but can be used for any purpose. Motions can be attached to various semantics, like position, color, etc, so scrolling or fading text can be defined.

%package -n lib%{name}-devel
Summary:        Kate is a karaoke and text codec for embedding in ogg
Group:          Development/Libraries/C and C++
Requires:       lib%{name}1 = %{version}

%description -n lib%{name}-devel
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time, this would be multiplexed with audio/video to carry subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to be. A possible use of a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate a powerful means to describe arbitrary curves, so hand drawing of shapes can be achieved. This was originally meant for karaoke use, but can be used for any purpose. Motions can be attached to various semantics, like position, color, etc, so scrolling or fading text can be defined.

%package -n lib%{name}1
Summary:        Kate is a karaoke and text codec for embedding in ogg
Group:          System/Libraries

%description -n lib%{name}1
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time, this would be multiplexed with audio/video to carry subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to be. A possible use of a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate a powerful means to describe arbitrary curves, so hand drawing of shapes can be achieved. This was originally meant for karaoke use, but can be used for any purpose. Motions can be attached to various semantics, like position, color, etc, so scrolling or fading text can be defined.

%package -n %{name}utils
Summary:        Kate is a karaoke and text codec for embedding in ogg
Group:          Productivity/Multimedia/Other

%description -n %{name}utils
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time, this would be multiplexed with audio/video to carry subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to be. A possible use of a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate a powerful means to describe arbitrary curves, so hand drawing of shapes can be achieved. This was originally meant for karaoke use, but can be used for any purpose. Motions can be attached to various semantics, like position, color, etc, so scrolling or fading text can be defined.

%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1

%build
%configure
make

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib%{name}1 -p /sbin/ldconfig

%postun -n lib%{name}1 -p /sbin/ldconfig

%files -n %{name}utils
%defattr(-, root, root)
%{_bindir}/katedec
%{_bindir}/kateenc
%{_bindir}/katalyzer
%{_mandir}/man1/KateDJ.1.gz
%{_mandir}/man1/katalyzer.1.gz

%{_mandir}/man1/%{name}*

%files -n lib%{name}1
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%{_libdir}/lib%{name}.so.*
%{_libdir}/libogg%{name}.so.*

%files -n lib%{name}-devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a
%{_libdir}/libogg%{name}.so
%{_libdir}/libogg%{name}.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/ogg%{name}.pc
%{_datadir}/doc/lib%{name}

%changelog
* Tue Apr 20 2010 dominique-vlc.suse@leuenberger.net
- Update to 0.3.7:
  + new encoding functions to specify timing in granule rate units
  + fix SRT timing precision problems
  + new -M option to kateenc to allow HTML-like markup in SRT files
  + allow the last event in an SRT file to not be followed by an
    empty line
- Added kate-png14.patch to fix build with libpng 1.4.
* Mon Sep 21 2009 dominique-vlc.suse@leuenberger.net
- Rename main package to kateutils. Compatible with PackMan and
  do not conflict with 'kate', the KDE text editor. For this
  reason the package also does not obsolete / provide kate.
* Tue Sep  1 2009 dominique-vlc.suse@leuenberger.net
- Update to 0.3.4
  + fix canvas size encoding/decoding on big endian hosts
* Sat May 30 2009 dominique-vlc.suse@leuenberger.net
- Update to 0.3.3
  +  recognize old oggz tools names in configure
  +  remove unnecessary shebangs from python source
- Update to 0.3.2
  +  increased robustness against corrupt/malicious streams
  +  misc build and compatibility tweaks
  +  fix py-compile invokation and older oggz tools names (Christian Morales Vega)-
